# My Business Business Calls API

The My Business Business Calls API manages business calls information of a location on Google and collect insights like the number of missed calls to their location. Additional information about Business calls can be found at <https://support.google.com/business/answer/9688285?p=call_history.>  

If the Google Business Profile links to a Google Ads account and call history is turned on, calls that last longer than a specific time, and that can be attributed to an ad interaction, will show in the linked Google Ads account under the "Calls from Ads" conversion. If smart bidding and call conversions are used in the optimization strategy, there could be a change in ad spend. [Learn more about smart bidding](https://support.google.com/google-ads/answer/7065882).  

To view and perform actions on a location's calls, you need to be a `OWNER`, `CO_OWNER` or `MANAGER` of the location.

- [REST Resource: v1.locations](https://developers.google.com/my-business/reference/businesscalls/rest#v1.locations)
- [REST Resource: v1.locations.businesscallsinsights](https://developers.google.com/my-business/reference/businesscalls/rest#v1.locations.businesscallsinsights)

## Service: mybusinessbusinesscalls.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://mybusinessbusinesscalls.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://mybusinessbusinesscalls.googleapis.com`

## REST Resource: [v1.locations](https://developers.google.com/my-business/reference/businesscalls/rest/v1/locations)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/businesscalls/rest/v1/locations/getBusinesscallssettings` | `GET /v1/{name=locations/*/businesscallssettings}` Returns the Business calls settings resource for the given location. |
| `https://developers.google.com/my-business/reference/businesscalls/rest/v1/locations/updateBusinesscallssettings` | `PATCH /v1/{businessCallsSettings.name=locations/*/businesscallssettings}` Updates the Business call settings for the specified location. |

## REST Resource: [v1.locations.businesscallsinsights](https://developers.google.com/my-business/reference/businesscalls/rest/v1/locations.businesscallsinsights)

| Methods ||
|---|---|
| `https://developers.google.com/my-business/reference/businesscalls/rest/v1/locations.businesscallsinsights/list` | `GET /v1/{parent=locations/*}/businesscallsinsights` Returns insights for Business calls for a location. |